package com.ice.structure.Decorator;

/**
 * @author ice
 * @blog https://blog.csdn.net/dreaming_coder
 * @description
 * @create 2021-10-29 19:48:33
 */
public class Test {
    public static void main(String[] args) {
        Datagram appData = new AppDatagram();
        appData.send();
        System.out.println();
        TransportLayer tcpData = new UseTCP(appData);
        tcpData.send();
        System.out.println();
        TransportLayer udpData = new UseUDP(appData);
        udpData.send();
    }
}
